## ===========================================================================
##  Copyright (c) 1998-2000 K.U.Leuven
##  
##  This software is provided AS IS, without any express or implied
##  warranty.  In no event will the authors or the K.U.Leuven be held
##  liable for any damages or loss of profit arising from the use or
##  non-fitness for a particular purpose of this software.
##  
##  See file README in the home directory for details about
##  copyrights and licensing.
## ===========================================================================
##  NAME:       Makefile
##  TYPE:       makefile
##  PROJECT:    libvrml - Sample VRML viewer
##  CONTENT:    Makefile.am for the viewer
## ===========================================================================
##  AUTHORS:    jp      Jan Prikryl
## ===========================================================================
##  HISTORY:
##
##  30-Jan-00 17:17:27  jp      last modification
##  28-Jan-00 18:19:41  jp      no dependency tracking
##  04-Sep-99 21:58:07  jp      created
## ===========================================================================
##
## Process this file with automake to produce Makefile.in
##

AUTOMAKE_OPTIONS = no-dependencies

bin_PROGRAMS = vv
vv_SOURCES = \
	main.C \
	oglrenderer.C \
	ui_render.C \
	bounds.c \
	camera.c \
	canvas.c \
	error.c \
	render.c \
	rendercommon.c \
	transform.c \
	ui_camera.c \
	ui_defaults.c \
	ui_file.c \
	ui_help.c \
	ui_main.c \
	uit.c
DEPSOURCES = $(vv_SOURCES)
INCLUDES = \
	-I$(top_srcdir)/VRML \
	-I$(top_srcdir)/POOLS \
	-I$(top_srcdir)/VRML/NODES \
	-I$(top_srcdir)/VRML/PhBRML \
	@X_CFLAGS@
noinst_HEADERS = \
	Boolean.h \
	Float.h \
	bounds.h \
	camera.h \
	canvas.h \
	color.h \
	error.h \
	motif.h \
	mymath.h \
	render.h \
	transform.h \
	ui.h \
	uit.h \
	vector.h \
	vectortype.h \
	oglrenderer.H
LDADD = \
	../../POOLS/libpools.la \
	../../VRML/libvrml.la \
	@X_EXTRA_LIBS@ @X_LIBS@ \
	@OPENGL_LIBS@ \
	-lXm -lXext -lXt -lX11 @X_PRE_LIBS@
BUILT_SOURCES = \
	render.c \
	ui_defaults.c
EXTRA_DIST = \
	.cghead \
	BUGS \
	Makefile.save \
	ViewVRML \
	ad2c.script \
	opengl.c

##
## No need to change anything below
##

render.c: opengl.c
	cp opengl.c render.c

ui_defaults.c: ViewVRML
	echo "/* ui_defaults.c: automatically generated from the application defaults file 'ViewVRML' */" > ui_defaults.c
	echo "" >> ui_defaults.c
	echo "char *fallback_resources[] = {" >> ui_defaults.c
	sh ad2c.script < ViewVRML >> ui_defaults.c
	echo "(char *)0" >> ui_defaults.c
	echo "};" >> ui_defaults.c

include $(top_srcdir)/make.rules

## ===========================================================================
## End of Makefile.am
## ===========================================================================
